package cn.com.countrygarden.bi.main.service;
import cn.com.countrygarden.bi.main.model.MarketingProposal;
import cn.com.countrygarden.bi.main.core.Service;
import cn.com.countrygarden.bi.main.model.MarketingUploadFile;
import cn.com.countrygarden.bi.main.model.twerp.hm.TbSysUser;
import org.apache.poi.ss.usermodel.Workbook;

import java.util.List;

public interface MarketingProposalService extends Service<MarketingProposal> {
    Workbook processingExcelValue(Workbook workbook, MarketingUploadFile uploadFile, TbSysUser sysUser);

    MarketingProposal findByUk(int commId, String proposalDate);

    MarketingProposal sumLastWeek(int interval);

    List<MarketingProposal> tendency();
    List<MarketingProposal> search(String search, String after, String before, String result, int offset, int limit);

    boolean softDelete(int id, TbSysUser sysUser);
}
